Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Search EDMs

Returns a list of the tenant's EDMs.

For each EDM returned, the service returns the datasourceId, datasourceName, edmName, serverState, serverNamespace, owner and other information about the datasource.

Query Params
string

Filters query results by evaluating the value of expressions. Supports four types of operators:

  • Comparison: q=[attribute][comparison operator][value] e.g. id=100, id!=100, id>100
  • Logical: q=[expression][logical operator][expression] e.g. id=100 AND name="xyz" , id=100 OR type="abc"
  • List: q=[attribute][list operator][values list] e.g. id IN (1,2,3], name NOT IN ("abc","xyz")
  • Matching: q=[attribute][comparison operator][pattern], e.g. name LIKE "abc " , type NOT LIKE " xyz* "
    To learn more, see Filter Exposure Data.
string
Defaults to datasourceName ASC

Sort order of records returned. One of ASC (ascending) or DESC (descending).

int32

Number of records returned.

int32

Number of records offset before the first record returned. By default, 0.

Responses

Language
Credentials
URL
Response
Choose an example:
application/json